# User Interfaces

ALE currently supports two user interface types. The traditional interface is the stream interface, which produces only printing characters and whitespace. If ALE is compiled with IOCTL support, additional information can be provided through the tty interface, which is default.

    --ui=<type>       Set user interface to <type>, one of:
                         stream
                         tty [default]